org.apache.tinkerpop.gremlin.process.traversal.step

## Class ComplexTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.ComplexTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.ComplexTest.Traversals

- Enclosing class:
    ComplexTest

      public static class ComplexTest.Traversals
      extends ComplexTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.ComplexTest

      `ComplexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,List<String>>>` | `getAgeComments()`
    `Traversal<Vertex,List<Object>>` | `getAllShortestPaths()`
    `Traversal<Vertex,String>` | `getClassicRecommendation()`
    `Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>>` | `getCoworkerSummary()`
    `Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>>` | `getCoworkerSummaryOLTP()`
    `Traversal<Vertex,Map<String,List<String>>>` | `getPlaylistPaths()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.ComplexTest

      `ageComments, allShortestPaths, classicRecommendation, coworkerSummary, coworkerSummaryOLTP, playlistPaths`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### getClassicRecommendation

          public Traversal<Vertex,String> getClassicRecommendation()

      Specified by:
        `getClassicRecommendation` in class `ComplexTest`

    - #### getCoworkerSummary

          public Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>> getCoworkerSummary()

      Specified by:
        `getCoworkerSummary` in class `ComplexTest`

    - #### getCoworkerSummaryOLTP

          public Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>> getCoworkerSummaryOLTP()

      Specified by:
        `getCoworkerSummaryOLTP` in class `ComplexTest`

    - #### getAllShortestPaths

          public Traversal<Vertex,List<Object>> getAllShortestPaths()

      Specified by:
        `getAllShortestPaths` in class `ComplexTest`

    - #### getPlaylistPaths

          public Traversal<Vertex,Map<String,List<String>>> getPlaylistPaths()

      Specified by:
        `getPlaylistPaths` in class `ComplexTest`

    - #### getAgeComments

          public Traversal<Vertex,Map<String,List<String>>> getAgeComments()

      Specified by:
        `getAgeComments` in class `ComplexTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.